/* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License: none (public domain)
*/

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}


/* ----------------------FIN DU RESET CSS----------------------- */
/* ----------------------neutralisation padding et border----------------------- */
html {
  box-sizing: border-box;
}
*, *:before, *:after {
  box-sizing: inherit;
}
/* ----------------------FIN neutralisation padding et border----------------------- */

/*----------------------
	LES COULEURS DU SITE
	VERT rgba(12,183,12,1) #0cb70c
	GRIS CLAIR #999
	GRIS FONCE #6a6a6a
	NOIR rgba(0,0,0,1);
----------------------*/

/* ---------------DEBUT DES REGLAGES STRUCTURELS---------------- */

body{
	text-align: center;
	background-image: url(../img/pattern.jpg);
	font-family: 'Baloo 2', cursive;
	font-weight: 800;
	color: #999;
	font-size: 1.1em;
	line-height: 200%;
}

header,main,footer{
    max-width: 1100px;
    margin: 0 auto;
}

header{
	padding: 50px;
	text-align: center;
}

main{
	width: 90%;
	margin: 130px auto;
}

footer{
	margin: 125px auto 15px auto;
}

a{
	text-decoration: none;
	color: #999;
}

/* ---------------FIN DES REGLAGES STRUCTURELS---------------- */


/* ---------------DEBUT DES REGLAGES HEADER---------------- */

header img {
   	width: 50px;
	margin-right: 10px;
	display: inline-block;
	vertical-align: middle;
    transition: 1s all ease;
}

header>a{
    color: #999;
    font-size: 2.2em;
    align-items: center;
    margin: 25px 0;
    text-align: right;
}

header.flex nav{
	margin: 25px 0;
	align-items: center;
	display: flex;
	flex-wrap: wrap;
	justify-content: space-around;
}

header nav a {
    display: inline-block;
    color: #999;
    text-align: center;
    margin:0 25px 0 25px;
    font-size: 20px;
    transition: 0.5s all ease;
}

header nav a i {
    margin-bottom: 10px;
    color: #999;
    font-size: 40px;
    transition: 0.5s all ease;
    font-size: 1em;
}

/* ---------------FIN DES REGLAGES HEADER---------------- */

section.aside{
	background: url(../img/oasis.jpg) no-repeat center;
	background-size: cover;
	padding: 175px 5% 125px 5%;
	color: white;
}

section.aside h1{
	font-size: 2.5em;
	line-height: 200%;
	border-bottom: 1px solid #0cb70c;
	text-shadow: 1px 1px 0px rgba(0,0,0,0.8);
	width: 90%;
	margin: 0 auto;
	position:relative;
}

section.aside h1:before{
	content:"";
	position: absolute;
	width: 0;
	height: 2px;
	background: red;
	display:block;
	bottom:0;
	transition: 1s all ease;
}

section.aside h1:hover:before{
	width: 100%;
}


section.aside p{
	font-size:1.1em;
	line-height: 225%;
	text-shadow: 1px 1px 0px rgba(0,0,0,0.8);
	width: 90%;
	margin: 10px auto 50px auto;
}

section.aside a{
    color: white;
    padding: 20px 15px;
    background-color:#0cb70c;
    border-radius: 5px;
    background-color: #0cb70c;
	border-radius: 5px;
	font-size:1.1em;
	color: white;
    transition: 0.3s all ease-in;
}

/* ---------------DEBUT DES REGLAGES MAIN---------------- */

main article{
	margin-top: 120px;
}
main article h2{
	color: #0cb70c;
	font-size: 1.75em;
	border-bottom: 1px solid rgba(0,0,0,0.15);
	padding-bottom: 30px
}

main article figure{
	margin: 0 5px;
}

main article figure img{
	padding-top: 25px;
}

main article figure figcaption{
	font-size: 1.75em;
	padding: 25px 0 10px 0;
	color:#6a6a6a;
}

main article figure p{
	border-top: 1px solid #0cb70c;
	padding-top: 15px;
	width: 250px;
	font-size: 1.2em;
}

main h3{
	color: #0cb70c;
	font-size: 1.3em;
	border-bottom: 1px solid #0cb70c;
	width: 250px;
	padding: 10px 0;
	margin: 25px 0;
}


article section>i{
	background-color: rgba(0,0,0,0.05);
	margin: 50px auto 0 auto;
	border-radius: 50%;
	font-size: 1.3em;
	border: 2px solid rgba(0,0,0,0.1);
	width: 75px;
	height: 75px;
	padding: 25px 0 25px 0; 
	transition: 0.5s all ease;
}	

main a{
	color:#0cb70c;
	display: block;
	text-align: left;
	margin-left: 25px;
	margin-top: 15px;
	transition: 0.5s all ease;
	margin: 15px 0 50px 25px;
}

main a i{
	margin-left: 10px;
}



/*------------------accordeon------------------*/

.accordion {
  background-color: rgba(0,0,0,0.05);
  cursor: pointer;
  padding: 10px 18px;
  width: 100%;
  border: none;
  text-align: left;
  outline: none;
  transition: 0.4s;
  	color: #0cb70c;
	font-size: 1.3em;
	border-bottom: 1px solid #0cb70c;
	font-family: 'Baloo 2', cursive;
	font-weight: 800;
}

.accordion:after {
	content: '+';
	color: rgba(12,183,12,1);
	font-family: 'Baloo 2', cursive;
	font-weight: 800;
	float: right;
	margin-left: 5px;
}

.accordion:hover:after {
	color: white;
}

.active:after {
	content: "-";
	color: white;
	font-family: 'Baloo 2', cursive;
	font-weight: 800;
	float: right;
	margin-left: 5px;
}

.active {
	background-color: rgba(12,183,12,1);
	color: white;
}

.accordion:hover {
	background-color: rgba(12,183,12,1);
	color: white;
}

.panel {
	max-height: 0;
	overflow: hidden;
	transition: max-height 0.2s ease-out;
}




/*---------modale----------------------*/

#myImg {
  cursor: pointer;
  transition: 0.3s;
}

#myImg:hover {opacity: 0.7;}

/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 100; /* Sit on top */
  padding-top: 100px; /* Location of the box */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.9); /* Black w/ opacity */
}

/* Modal Content (image) */
.modal-content {
  margin: auto;
  display: block;
  width: 80%;
}

/* Caption of Modal Image */
#caption {
  margin: auto;
  display: block;
  width: 80%;
  max-width: 700px;
  text-align: center;
  color: #ccc;
  padding: 10px 0;
  height: 150px;
}

/* Add Animation */
.modal-content, #caption {  
  -webkit-animation-name: zoom;
  -webkit-animation-duration: 0.6s;
  animation-name: zoom;
  animation-duration: 0.6s;
}

@-webkit-keyframes zoom {
  from {-webkit-transform:scale(0)} 
  to {-webkit-transform:scale(1)}
}

@keyframes zoom {
  from {transform:scale(0)} 
  to {transform:scale(1)}
}

/* The Close Button */
.close {
  position: absolute;
  top: 15px;
  right: 35px;
  color: #f1f1f1;
  font-size: 40px;
  font-weight: bold;
  transition: 0.3s;
}

.close:hover,
.close:focus {
  color: #bbb;
  text-decoration: none;
  cursor: pointer;
}

/* 100% Image Width on Smaller Screens */
@media only screen and (max-width: 700px){
  .modal-content {
    width: 100%;
  }
}


/*-----------------slider-------------*/
div.flexslider{
	border: none;
	background:; none;
}


div.flexslider img{
	border: 2px solid rgba(12,183,12,1);
	border-radius: 5px;
}


/*------------------Formulaire------------------*/

input, textarea {
    border-radius: 10px;
    border: 1px solid #0cb70c;
    font-family: Arial;
    font-size: 0.9em;
    margin: 10px 0;
}

input {
    width: 48%;
    height: 40px;
}

input[type="text"]{
    background: url(../img/bg_form_name.svg) no-repeat white;
    background-size: 40px;
    background-position: -7px;
    padding: 5px 0 5px 7%;
    float: left;
}

input[type="email"]{
    background: url(../img/bg_form_mail.svg) no-repeat white;
    background-position: -7px;
    padding: 5px 0 5px 7%;
    float: right;
}

textarea {
    width: 100%;
    background: url(../img/bg_form_message.svg) no-repeat white;
    background-size: 50px;
    background-position: -7px -7px;
    padding: 5px 0 5px 9%;
    color: #999;
}

input[type="submit"]{
    border: none;
    color: white;
    background-color: #0cb70c;
    width: 110px;
    height: 50px;
    font-size: 1.1em;
    margin-right: 20px;
}

input[type="reset"] {
    border: none;
    color: white;
    background-color: #999;
    width: 110px;
    height: 50px;
    font-size: 1.1em;
    margin-left: 20px;
}


/* ---------------FIN DES REGLAGES MAIN---------------- */

/* ---------------DEBUT DES REGLAGES FOOTER---------------- */

footer p{
    text-align: center;
    font-size: 0.8em;
}

/* ---------------FIN DES REGLAGES FOOTER---------------- */

.width100{
	width: 100%;
}

.width50{
	width: 50%;
}

.width33{
	width: calc(100%/3);
}

.width25{
	width: 25%;
}

.width250px{
	width: 250px;
}

.Mwidth500px{
	max-width: 500px;
}

.floatR{
	float: right;
	margin-left: 25px;
}

.floatL{
	float: left;
	margin-right: 25px;
}

.flex{
	display: flex;
	flex-wrap: wrap;
	justify-content: space-around;
}

.flexcolumn{
	display: flex;
	flex-direction: column;
	align-items: center;
}

.lighter{
	font-weight: lighter;
}

.bolder{
	font-weight: bold;
}

.textalignG{
	text-align: left;
}

.fa-free-code-camp{
	font-size: 1.4em;
}

/*____________________________hovers____________________________*/


@media screen and (min-width: 601px){
	
	header nav a:hover {
    color:rgba(12,183,12,1);
    transform: translateY(10px);
}

header nav a:hover i{
    color:rgba(12,183,12,1);
    transform: translateY(15px);
}

header>a:hover{
    color:rgba(12,183,12,1);
}

header>a:hover img{
    transform: scale(1.5);
}

section.aside a:hover{
    padding: 15px 20px;
}

section>i:hover{
    animation-name: rebond;
    animation-duration: 0.7s;
    animation-iteration-count: infinite;
    animation-direction: alternate;
    animation-timing-function: ease-in-out;
}

a.lienSavoirPlus:hover{
    padding-left: 35px;
}

@keyframes rebond{
	from{background-color: rgba(0,0,0,0.05);
	    border: 2px solid rgba(0,0,0,0.1);
	    color: rgba(12,183,12,1);
	}

	to { background-color: rgba(12,183,12,0.1);
	    border: 2px solid rgba(12,183,12,0.2);
	    color: rgba(12,183,12,1);
	    transform: translateY(-20px); 
	}
}
}

/*____________________________responsive____________________________*/

.topnav .icon,.displaynone{
  display: none;
}

@media screen and (max-width: 1024px){
	
	header{
		flex-direction: column;
		align-content: center;
	}

	header>a{
		text-align: center;
	}

	header>a>img{
	   	width: 120px;
	   	display:block;
	   	margin: 0 auto 20px auto;
	}

	header.flex nav{
		margin-top: 100px;
	}

	main article.competences,main article.methode{
		flex-direction: column;
		align-items: center;
	}
}

/*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX*/


@media screen and (max-width: 600px) {
	
	header.flex>a>img{
	   	width: 120px;
	}

	nav.topnav a, i.fa-times-circle {
  		display: none;
  	}

  	nav.topnav a.icon {
	    display: block;
	}

	nav.topnav a.icon i{
	    color: rgba(12,183,12,1);
	    font-size: 30px;
  	}

  	.topnav.responsive {
		display: flex;
		flex-flow: column;
		width: 100%;
	}
		
	.topnav.responsive a, header nav.responsive a i.fa-times-circle{
	    display: block;
	    padding: 5px;
	}

	.topnav.responsive a i {
	    color: rgba(12,183,12,0.8);
	    margin-right: 5px;
	}

	nav.responsive i.fa-hamburger, nav.responsive a.displaynone{
		display: none;
	}

	.topnav {
	  	overflow: hidden;
	}

	.topnav a {
		text-align: center;
		padding: 15px;
		text-decoration: none;
		font-size: 17px;
	}
	
	header.flex{
		padding:3%;
		display: flex;
		flex-flow: column;
		align-items: center;
	}

	header.flex>a{
		padding: 10px;
		margin: 0 0 80px 0;
	}

	header.flex nav{
		width: 100%;
		margin: 0 auto 0 auto;
		position: absolute;
		top: 250px;
		background-image: url(../img/pattern.jpg);
	}
	main section img.width50{
		width: 100%;
		margin: 0 0 25px 0;
	}
}

@media screen and (max-width: 300px) {
	header>a{
		font-size: 1.8em;
	}
}